Bug 617467 - bkr command fails with unsupported XML-RPC protocol error on f13
Summary: bkr command fails with unsupported XML-RPC protocol error on f13
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium vote
Target Milestone: 0.5.51
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 07:11 UTC by Praveen Arimbrathodiyil
Modified: 2015-05-04 02:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 17:31:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Praveen Arimbrathodiyil 2010-07-23 07:11:14 UTC
Description of problem:
full error is 

pravi@savannah:~$ bkr list-labcontrollers
Traceback (most recent call last):
  File "/usr/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==0.5.50', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.6/site-packages/bkr/client/main.py", line 32, in main
    return parser.run()
  File "/usr/lib/python2.6/site-packages/kobo/cli.py", line 203, in run
    cmd.run(*cmd_args, **cmd_kwargs)
  File "/usr/lib/python2.6/site-packages/bkr/client/commands/cmd_list_labcontrollers.py", line 20, in run
    self.set_hub(username, password)
  File "/usr/lib/python2.6/site-packages/kobo/client/__init__.py", line 58, in set_hub
    self.hub = HubProxyClass(conf=conf)
  File "/usr/lib/python2.6/site-packages/kobo/client/__init__.py", line 124, in __init__
    self._login(verbose=self._conf.get("DEBUG_XMLRPC"))
  File "/usr/lib/python2.6/site-packages/kobo/client/__init__.py", line 161, in _login
    self._hub = xmlrpclib.ServerProxy("%s/%s/" % (self._hub_url, self._client_type), allow_none=True, transport=self._transport, verbose=verbose)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1463, in __init__
    raise IOError, "unsupported XML-RPC protocol"
IOError: unsupported XML-RPC protocol

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install beaker-client on f13
2. run bkr list-labcontrollers
3.
  
Actual results:

command exits with error

Expected results:
list lab controllers

Additional info:

Comment 1 Praveen Arimbrathodiyil 2010-07-23 07:12:06 UTC
pravi@savannah:~$ cat /home/pravi/.beaker_client/config 
HUB_URL = "beaker.engineering.redhat.com"
AUTH_METHOD = "krbv"
KRB_REALM = "REDHAT.COM"

Comment 2 Marian Csontos 2010-07-23 07:22:45 UTC
HUB_URL = "https://beaker.engineering.redhat.com"

should fix it.

-- Marian

Comment 3 Praveen Arimbrathodiyil 2010-07-23 08:28:34 UTC
Thanks, but the user guide at http://documentation-stage.bne.redhat.com/docs/en-US/Beaker/0.5/html/User_Guide/chap-beaker_user_guide-CLI.html

says
HUB_URL = "beaker_server_fully_qualified_domain_name"

Please correct the documentation.

Comment 4 Marian Csontos 2010-07-23 08:32:01 UTC
Oh, you are right! Thanks for looking it up.

Comment 5 Raymond Mancy 2010-07-26 23:00:33 UTC
fixed


Note You need to log in before you can comment on or make changes to this bug.